RagTime5FormulaInternal Namespace Reference

Internal: the structures of a RagTime5Formula. More...

## Classes
struct | State
| Internal: the state of a RagTime5Formula. More...
struct | FunctionNameParser
| Internal: the helper to read function name. More...
struct | Functions

## Variables
static Functions const | s_listFunctions []
static size_t const | s_numFunctions =MWAW_N_ELEMENTS(s_listFunctions)
static char const * | s_listFunctions2 []

## Detailed Description

Internal: the structures of a RagTime5Formula.

## Variable Documentation

## ◆ s_listFunctions

Functions const RagTime5FormulaInternal::s_listFunctions[]
| static

Initial value:
= {
{ "+", 2}, {"-", 2}, {"*", 2}, {"/", 2},
{nullptr, -2}, {"^", 2}, {"+", 1}, {"-", 1},
{nullptr, -2}, {nullptr, -2}, {"=", 2}, {"!=", 2},
{">", 2}, {"<", 2}, {">=", 2}, {"<=", 2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{"AND", 2}, {"OR", 2}, {"NOT", 1}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {"&", 2}, {"&", 2}, {"_", 1} ,
{";", 2} , {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {";", 2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
{nullptr, -2}, {nullptr, -2}, {nullptr, -2}, {nullptr, -2},
}

Referenced by RagTime5Formula::readFormula().

## ◆ s_listFunctions2

char const* RagTime5FormulaInternal::s_listFunctions2[]
| static

Initial value:
= {
"^", "*", "/", nullptr, "+", "-", "&", "&",
"=", "!=", ">", "<", ">=", "<=", "AND", "OR",
"NOT"
}

Referenced by RagTime5Formula::readFormula2().

## ◆ s_numFunctions

size_t const RagTime5FormulaInternal::s_numFunctions =MWAW_N_ELEMENTS(s_listFunctions)
| static

Referenced by RagTime5Formula::readFormula().